DF(1)

NAMN
df - report file system disk space usage

SYNOPSIS
df [FLAGGA]... [FIL]...

BESKRIVNING
This manual page documents the GNU version of df. df displays the amount of disk space available on the file system containing each file name argument. If no file name is given, the space available on all currently mounted file systems is shown. Disk space is shown in 1K blocks by default, unless the environment variable POSIXLY_CORRECT is set, in which case 512-byte blocks are used.

If an argument is the absolute file name of a disk device node containing a mounted file system, df shows the space available on that file system rather than on the file system containing the device node. This version of df cannot show the space available on unmounted file systems, because on most kinds of systems doing so requires very nonportable intimate knowledge of file system structures.

FLAGGOR

Visa information om filsystemet där varje FIL ligger, eller annars alla filsystem.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

-a, --all
    Tag med pseudo-, dubblett-, oåtkomliga filsystem.

-B, --block-size=STRL
    Skala storlekar med STRL före de skrivs ut; t.ex. ”-BM” skriver storlekar i enheter av 1 048 576 byte; se STORLEKsformat nedan.

-h, --human-readable
    Skriv storlekar i potenser av 1024 (t.ex. 1023M).

-H, --si
    Skriv storlekar i potenser av 1000 (t.ex. 1,1G).

-i, --inodes
    Skriv inodinformation istället för blockinformation.

-k  Som --block-size=1K.

-l, --local
    Visa endast lokala filsystem.

--no-sync
    Anropa inte sync innan information hämtas (normalfall).

--output[=FÄLTLISTA]
    Använd utformatet definierat av FÄLTLISTA, eller skriv alla fält om FÄLTLISTA utelämnas.

-P, --portability
    Använd POSIX-format.

--sync
    Anropa sync innan information hämtas.

--total
    Utelämna alla poster som inte påverkar tillgängligt utrymme, och skriv en totalsumma.

-t, --type=TYP
    Begränsa listningen till filsystem av typen TYP.

-T, --print-type
    Skriv ut filsystemtyp.

-x, --exclude-type=TYP
    Utelämna filsystem av typ TYP.

-v  (ignorerad)

--help
    Visa denna hjälp och avsluta.

--version
    Visa versionsinformation och avsluta.

Visa värden i enheter av första tillgängliga STORLEK från --block-size,och miljövariablerna DF_BLOCK_SIZE, BLOCK_SIZE och BLOCKSIZE. Annars är enheten som standard 1024 byte (eller 512 om POSIXLY_CORRECT är satt).

Argumentet STORLEK är ett heltal och eventuell enhet (exempel: 10K är 10·1024). Enheter är K, M, G, T, P, E, Z, Y (potenser av 1024) eller KB, MB, … (potenser av 1000). Binära prefix kan också användas: KiB=K, MiB=M, och så vidare.

FÄLTLISTA är en kommaseparerad lista med kolumner som skall vara med. Giltiga fältnamn är: ”source”, ”fstype”, ”itotal”, ”iused”, ”iavail”, ”ipcent”, ”size”, ”used”, ”avail”, ”pcent”, ”file” och ”target” (se infosidan).

UPPHOVSMAN
Skrivet av Torbjorn Granlund, David MacKenzie och Paul Eggert.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>.

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE OCKSÅ
Fullständig dokumentation <https://www.gnu.org/software/coreutils/df>
eller tillgängligt lokalt via: info '(coreutils) df invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till <TODO>.